Package org.eclipse.lemminx.extensions.xsl.participants

## Class XSLFilePathSupportParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsl.participants.XSLFilePathSupportParticipant

All Implemented Interfaces:
  `IFilePathSupportParticipant`

    public class XSLFilePathSupportParticipant
    extends Object
    implements IFilePathSupportParticipant

XML Stylesheet file path support for *.xsl to provide completion for attributes :

- include/@href
- import/@href

### Constructor Summary

Constructors
`XSLFilePathSupportParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<IFilePathExpression>` `collectFilePathExpressions​(DOMDocument document)` Returns the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSLFilePathSupportParticipant

    public XSLFilePathSupportParticipant()

### Method Detail

#### collectFilePathExpressions

    public List<IFilePathExpression> collectFilePathExpressions​(DOMDocument document)

Description copied from interface: `IFilePathSupportParticipant`
Returns the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.

Specified by:
  `collectFilePathExpressions` in interface `IFilePathSupportParticipant`
Parameters:
  `document` - the DOM document.
Returns:
  the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.